<br><input #editSearch (keyup.enter)="setSearchVal(editSearch)"><button (click)="setSearchVal(editSearch)">search</button>
<table border="1">
    <tr>
        <th>
            Book name
        </th>
        <th>
            Book Author
        </th>
   
        <th>
            action
        </th>
    </tr>
    <tr *ngFor="let book of books">
        <td>
           {{book.name}}
        </td>
        <td>
            
           {{book.author}}
        </td>
        <td>
           <button  (click)="buyBook(book.id)"> buy now</button>
            
        </td>

    </tr>
</table>